Jun 14, 2011

Zend server with ssh (libcrypto + libssl)

I got the following error after installing Zend Server on Ubuntu 11.04.


/usr/bin/python: /usr/local/zend/lib/libcrypto.so.0.9.8: no version information available (required by /usr/bin/python)

/usr/bin/python: /usr/local/zend/lib/libssl.so.0.9.8: no version information available (required by /usr/bin/python)


Whenever I wanted to use ssh or connect to rdp the same error message appeared. A workaround to that problem was:

sudo mv /usr/local/zend/lib/libssl.so.0.9.8 /usr/local/zend/lib/libssl.so.0.9.8.hold

sudo mv /usr/local/zend/lib/libcrypto.so.0.9.8 /usr/local/zend/lib/libcrypto.so.0.9.8.hold


[Update]
With the above I could at least use ssh and rdp, but I still got the warning messages. I remove the two files "libcrypto.so.0.9.8" and "libssl.so.0.9.8" from the lib directory and no more error message. Zend server seems to be working normally on which, a magento installation is also working smoothly.

I think there are files libcrypto.so and libssl.so still doing the job. I have not found any information on the web, so until my zend server crashes this is my solution. :)

2 comments: